Bug 177746 - swapon -a freezes after post-crash reboot
swapon -a freezes after post-crash reboot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-01-13 12:33 EST by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-27 00:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-01-13 12:33:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
I'm not sure swapon is to blame, but every time I reboot any of my boxes after a hang, swapon hangs as well.  Sometimes it's not a complete system freeze, since I can switch to VT1, issue SysRq commands and get another reboot (otherwise it just sits there, unresponsive to network and all, since swapon is pretty early in the boot).  At other times, it freezes hard, and not even the mouse or caps lock work on rhgb.

Version-Release number of selected component (if applicable):
FC5T1, FC5T2 and IIRC FC4 as well

How reproducible:

Steps to Reproduce:
1.Manage to crash the system such that you have to power-cycle it (not sure the crash is necessary, come to think of it, maybe just a power-cycle would do)
2.Boot it back up
3.Watch as rhgb says it's starting swap
4.Wait for the next line

Actual Results:  Nothing happens.  Sometimes it freezes hard again, sometimes you can perform a nicer reboot.  Either way, you have to be at the console to fix it.

Expected Results:  Unassisted reboots, especially after power failures or so, should be supported.

Additional info:
Comment 1 Alexandre Oliva 2006-07-27 00:31:01 EDT
I haven't had this problem lately, even though I've had lots of system freezes
because of various problems, so it looks like the problem is fixed.
Comment 2 Karel Zak 2006-07-27 02:44:49 EDT
Thanks for your feedback!

Note You need to log in before you can comment on or make changes to this bug.